<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:15 CEST 2014 -->
<title>W-Index</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="W-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-22.html">Prev Letter</a></li>
<li><a href="index-24.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-23.html" target="_top">Frames</a></li>
<li><a href="index-23.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">_</a>&nbsp;<a name="_W_">
<!--   -->
</a>
<h2 class="title">W</h2>
<dl>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/Configuration.html#websocketPort">websocketPort</a></span> - Static variable in class fr.inria.alpage.frmgcm.<a href="../fr/inria/alpage/frmgcm/Configuration.html" title="class in fr.inria.alpage.frmgcm">Configuration</a></dt>
<dd>
<div class="block">Listening websocket port</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#weight">weight</a></span> - Variable in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></dt>
<dd>
<div class="block">(specific for mgwiki) The weight of the macro, the lesser the less specific</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#writeOffset(int,%20java.lang.StringBuilder,%20java.io.BufferedWriter,%20java.io.BufferedReader)">writeOffset(int, StringBuilder, BufferedWriter, BufferedReader)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#writeOffsetByte(int,%20java.lang.StringBuilder,%20java.io.BufferedWriter,%20java.io.FileInputStream)">writeOffsetByte(int, StringBuilder, BufferedWriter, FileInputStream)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html#writeOutput(java.io.BufferedReader,%20java.io.BufferedReader,%20java.lang.StringBuffer,%20java.lang.StringBuffer)">writeOutput(BufferedReader, BufferedReader, StringBuffer, StringBuffer)</a></span> - Static method in class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a></dt>
<dd>
<div class="block">write the output (error and normal) from buffered readers to string buffers</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html#writeOutput(java.io.BufferedReader,%20java.io.BufferedReader,%20java.lang.String,%20java.lang.String)">writeOutput(BufferedReader, BufferedReader, String, String)</a></span> - Static method in class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a></dt>
<dd>
<div class="block">write the output (error and normal) from buffered readers to files</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html#writeOutput(java.io.BufferedReader,%20java.io.BufferedReader)">writeOutput(BufferedReader, BufferedReader)</a></span> - Method in class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a></dt>
<dd>
<div class="block">write the outputs of the taskunit to the file defined by the properties "stderr" and "stdout"</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html#writeOutput(java.lang.String,%20java.lang.String)">writeOutput(String, String)</a></span> - Method in class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a></dt>
<dd>
<div class="block">write the outputs of the taskunit to the file defined by the properties "stderr" and "stdout"</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#writeToken(int,%20java.lang.StringBuilder,%20java.io.BufferedWriter,%20java.io.BufferedReader,%20java.lang.String)">writeToken(int, StringBuilder, BufferedWriter, BufferedReader, String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#writeTokenByte(int,%20java.lang.StringBuilder,%20java.io.BufferedWriter,%20java.io.FileInputStream,%20java.lang.String)">writeTokenByte(int, StringBuilder, BufferedWriter, FileInputStream, String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-22.html">Prev Letter</a></li>
<li><a href="index-24.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-23.html" target="_top">Frames</a></li>
<li><a href="index-23.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
